{
    "defects": [
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/authselect-1.7.0-build/BUILDROOT/etc/bash_completion.d/authselect-completion.sh",
                    "line": 1,
                    "column": 1,
                    "event": "error[SC2148]",
                    "message": "Tips depend on target shell and yours is unknown. Add a shebang or a 'shell' directive.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/authselect-1.7.0-build/BUILDROOT/etc/bash_completion.d/authselect-completion.sh",
                    "line": 199,
                    "column": 24,
                    "h_size": 29,
                    "event": "warning[SC2207]",
                    "message": "Prefer mapfile or read -a to split command output (or quote to avoid splitting).",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/authselect-1.7.0-build/BUILDROOT/etc/bash_completion.d/authselect-completion.sh",
                    "line": 201,
                    "column": 24,
                    "h_size": 61,
                    "event": "warning[SC2207]",
                    "message": "Prefer mapfile or read -a to split command output (or quote to avoid splitting).",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/authselect-1.7.0-build/BUILDROOT/etc/bash_completion.d/authselect-completion.sh",
                    "line": 206,
                    "column": 26,
                    "h_size": 38,
                    "event": "warning[SC2124]",
                    "message": "Assigning an array to a string! Assign as array, or use * instead of @ to concatenate.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/authselect-1.7.0-build/BUILDROOT/etc/bash_completion.d/authselect-completion.sh",
                    "line": 210,
                    "column": 20,
                    "h_size": 61,
                    "event": "warning[SC2207]",
                    "message": "Prefer mapfile or read -a to split command output (or quote to avoid splitting).",
                    "verbosity_level": 0
                }
            ]
        }
    ]
}
